Namespace
library
Image / Tag
consul:1.5.2
Content Digest
sha256:b31edc821d5e3deae8ce9f9a2070dc3fbaa72f5e1746a85a91ebe551ed8fb17f
Details
Created

2019-06-28 08:19:05 UTC

Size

41 MB

Content Digest
Environment
CONSUL_VERSION

1.5.2

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:d0c434c0359e2da36b788ae4f5a3a70015d83ee20070aa412e714c7feecca465 - 6.4% (2.62 MB)

[#001] sha256:9a9194bbc15a4ff76da684d90cafd2fe8df705f2bf373fe27c6aaba19d554f5e - 0.0% (1.23 KB)

[#002] sha256:eeffd22a05961e0a5c7da42d248df7cf0b391e64108e9b9e1589eabdc402a8de - 93.59% (38.4 MB)

[#003] sha256:b96604529f6b90039e8ad90e7415389df8e46a877199d0390c2f3bb4ec9ea191 - 0.0% (143 Bytes)

[#004] sha256:a6e082eb43617eccba329bcf95a867609317a27689b6866c25ef869100074f18 - 0.0% (153 Bytes)

[#005] sha256:2eb5035c320aa39f8f642052dde03dfd25a71b19223ef6a56123c6c331f65d22 - 0.0% (1.67 KB)


History
2019-05-11 10:39:25 UTC

/bin/sh -c #(nop) ADD file:6bcacb93c2814cb9c833dfb82a5ef000ef21e6864d9f0b20a7a68b6e16801700 in /

2019-05-11 10:39:25 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2019-05-11 10:56:52 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2019-06-28 08:18:56 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.5.2

2019-06-28 08:18:56 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2019-06-28 08:18:57 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2019-06-28 08:19:02 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2019-06-28 08:19:03 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2019-06-28 08:19:03 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2019-06-28 08:19:04 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2019-06-28 08:19:04 UTC

/bin/sh -c #(nop) EXPOSE 8300

2019-06-28 08:19:04 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2019-06-28 08:19:04 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2019-06-28 08:19:04 UTC

/bin/sh -c #(nop) COPY file:1c5f16053db7ac80ca2606114b1597e5421edf31162ea24a1ae8b059f48426f0 in /usr/local/bin/docker-entrypoint.sh

2019-06-28 08:19:05 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-06-28 08:19:05 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2019-06-28 01:36:35 UTC

Size

42 MB

Content Digest
Environment
CONSUL_VERSION

1.5.2

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:e7c96db7181be991f19a9fb6975cdbbd73c65f4a2681348e63a141a2192a5f10 - 6.26% (2.63 MB)

[#001] sha256:2967157a1cec57f12045f03e0214569b19b5467c228e1882f5d79140fca484c3 - 0.0% (1.23 KB)

[#002] sha256:89eac26c7594083bd8da3fa0f9c097a782ab1219782ad700bc11a6d58915c0d0 - 93.74% (39.4 MB)

[#003] sha256:fed432a284a52eba515909064e6d20382daab37b170d6baf5af51a5cb2a3722b - 0.0% (143 Bytes)

[#004] sha256:eff914b7f5d7ca738fb9ae21e35d7d7cf38eb353038d683cace7e526b6d4019a - 0.0% (154 Bytes)

[#005] sha256:0c1d0a78f0c3f908b6097a95b8166071fb9c64f76129cf1bcf4ce9132e82b317 - 0.0% (1.67 KB)


History
2019-05-11 00:07:03 UTC

/bin/sh -c #(nop) ADD file:a86aea1f3a7d68f6ae03397b99ea77f2e9ee901c5c59e59f76f93adbb4035913 in /

2019-05-11 00:07:03 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2019-05-11 01:39:31 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2019-06-28 01:36:22 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.5.2

2019-06-28 01:36:22 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2019-06-28 01:36:23 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2019-06-28 01:36:31 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2019-06-28 01:36:32 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2019-06-28 01:36:33 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2019-06-28 01:36:34 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2019-06-28 01:36:34 UTC

/bin/sh -c #(nop) EXPOSE 8300

2019-06-28 01:36:34 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2019-06-28 01:36:34 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2019-06-28 01:36:35 UTC

/bin/sh -c #(nop) COPY file:1c5f16053db7ac80ca2606114b1597e5421edf31162ea24a1ae8b059f48426f0 in /usr/local/bin/docker-entrypoint.sh

2019-06-28 01:36:35 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-06-28 01:36:35 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2019-06-28 01:49:43 UTC

Size

39.6 MB

Content Digest
Environment
CONSUL_VERSION

1.5.2

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:6e39823df636e42cc4ea056843af98c9bec31b5ae0a75cdc5628cd19b589189c - 6.13% (2.43 MB)

[#001] sha256:c225d1ae35526fd799a1d323154b2c666c9eeff5b2d657054ae43ff20c532611 - 0.0% (1.25 KB)

[#002] sha256:0f07de58cb94340605e6838b9f46bbe770088a6bf3ab57f07cf57f35397a3180 - 93.86% (37.1 MB)

[#003] sha256:6b1b905274206d476ad7cf4d305b6f467e074461092465523646c1cacc76cb98 - 0.0% (175 Bytes)

[#004] sha256:e3b8dc89246cdada0f29dd36caa9a9983dde65a8d7c05b116a15e8028ce4c161 - 0.0% (154 Bytes)

[#005] sha256:ce6f0b079e79e049f069780ad5ea45691d8ee04edcd909fbcc74927c3b1fb4f5 - 0.0% (1.67 KB)


History
2019-05-11 07:49:31 UTC

/bin/sh -c #(nop) ADD file:202469fe868f49927884e8dd109fb8bb596ab6e435dc1bfc9f75f03e50e82325 in /

2019-05-11 07:49:31 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2019-05-11 08:06:14 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2019-06-28 01:49:23 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.5.2

2019-06-28 01:49:23 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2019-06-28 01:49:25 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2019-06-28 01:49:34 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2019-06-28 01:49:36 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2019-06-28 01:49:38 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2019-06-28 01:49:39 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2019-06-28 01:49:40 UTC

/bin/sh -c #(nop) EXPOSE 8300

2019-06-28 01:49:41 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2019-06-28 01:49:41 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2019-06-28 01:49:42 UTC

/bin/sh -c #(nop) COPY file:1c5f16053db7ac80ca2606114b1597e5421edf31162ea24a1ae8b059f48426f0 in /usr/local/bin/docker-entrypoint.sh

2019-06-28 01:49:42 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-06-28 01:49:43 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2019-06-28 01:39:51 UTC

Size

39.7 MB

Content Digest
Environment
CONSUL_VERSION

1.5.2

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:0362ad1dd800a9d92f8982fa28f173f9120266153830f990f7486f44b068968a - 6.46% (2.56 MB)

[#001] sha256:006f8c80b516040554571a7abbec8aaea939985a5f6e53f611f51320d0740d0a - 0.0% (1.25 KB)

[#002] sha256:712d5bce2568379220de9656e6257787a79b2d0014355cec34233c297735e68c - 93.53% (37.1 MB)

[#003] sha256:61455b49ee3ab3e3ce7a0139b82acc05cd000088b94ff728a51200499bfb56a7 - 0.0% (176 Bytes)

[#004] sha256:fecaac46991c1db9c3d93dbc0d752c83c31fb65b026106d5aff78ec408abee95 - 0.0% (154 Bytes)

[#005] sha256:9b674c081b45f7b8a147a96d840d53e76a5a1d4ba7a37970fabce5f992594f73 - 0.0% (1.67 KB)


History
2019-06-19 20:39:47 UTC

/bin/sh -c #(nop) ADD file:66f49017dd7ba295602526dbf210046e47fd097298c17a3f268a47487b5b6379 in /

2019-06-19 20:39:47 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2019-06-19 20:56:05 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2019-06-28 01:39:34 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.5.2

2019-06-28 01:39:35 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2019-06-28 01:39:37 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2019-06-28 01:39:44 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2019-06-28 01:39:46 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2019-06-28 01:39:47 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2019-06-28 01:39:48 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2019-06-28 01:39:48 UTC

/bin/sh -c #(nop) EXPOSE 8300

2019-06-28 01:39:49 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2019-06-28 01:39:49 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2019-06-28 01:39:50 UTC

/bin/sh -c #(nop) COPY file:1c5f16053db7ac80ca2606114b1597e5421edf31162ea24a1ae8b059f48426f0 in /usr/local/bin/docker-entrypoint.sh

2019-06-28 01:39:50 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-06-28 01:39:51 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]